POST /api/public/apps/track
The Track call is how you record any actions your users perform, along with any properties that describe the action.
Authorizations
Authorization header for the request, in the format Bearer <token>. You can collect your token at https://app.tranthor.com/dashboard/settings#write-key.
Headers
Authorization header for the request, in the format Bearer <token>. You can collect your token at https://app.tranthor.com/dashboard/settings#write-key.
Body
- Option 1
- Option 2
Unique identifier for the message, used as an idempotency key for safe retries. Can provide a UUID.
"23d04926-78e5-4ebc-853f-f26c84ff629e"
Name of the action that a user has performed.
"COURSE_CLICKED"
Unique identifier for the user. Should be the id of the user in your system. Only applicable to logged in users.
"1043"
"user-123"
"0a58e5e4-c753-477e-a6c4-f9b0e3396b9b"
ISO 8601 formatted timestamp of when the event occurred. If not provided, the current server time will be used.
"2024-04-22T07:00:00.000Z"
Provides metadata about the user submitting the event and the context in which the event occurred.
{ "ip": "192.0.2.1" }Free-form dictionary of properties of the event, like revenue or product name. Can contain arbitrary JSON values.
{ "title": "Intro to customer engagement" }Response
An empty String
An empty String

